; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_ERROR_SCHWER_TEMP1:
	CLI 							; Global Interrupt Disable
	call LCD_HEX_TEMP1
	ldi temp4,(LCD_E)
	ldi temp3,(LCD_R)
	STS(adr_LCD3),temp4
	STS(adr_LCD2),temp3
	call LCD_ZIFFERN_WRITE
	call LCD_DOPPELPUNKT_ON
	jmp PROGRAMM_STOP
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_ERROR_LEICHT_TEMP1:
	call LCD_HEX_TEMP1
	ldi temp4,(LCD_E)
	ldi temp3,(LCD_R)
	STS(adr_LCD3),temp4
	STS(adr_LCD2),temp3
	call LCD_ZIFFERN_WRITE
	call LCD_DOPPELPUNKT_ON
	call WAIT_2s
	call WAIT_2s
	jmp WAIT_2s
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_ZEIT:
	call LCD_CLEAR
	LDS temp1,(adr_ss)
	LSR temp1
	LSR temp1
	call BARGRAPH_BAND_TEMP1
;-------------------------------------------------------------------------------
	LDS temp,(adr_ss)
	andi temp,0b00000001
	tst temp
	breq ANZEIGE_ZEIT_w
	call LCD_DOPPELPUNKT_ON
;-------------------------------------------------------------------------------
ANZEIGE_ZEIT_w:
	LDS temp1,(adr_hh)
	clr temp2
	rcall FUNKTION_HEX_ASCII_TEMP1_2
	mov temp,temp2
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD3),temp
	mov temp,temp1
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD2),temp
;-------------------------------------------------------------------------------
	LDS temp1,(adr_mm)
	clr temp2
	rcall FUNKTION_HEX_ASCII_TEMP1_2
	mov temp,temp2
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD1),temp
	mov temp,temp1
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD0),temp
	rjmp LCD_ZIFFERN_WRITE
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_BATTERIESTATUS:
	LDS temp1,(adr_ADC_BATTERIE_L)
	LDS temp2,(adr_ADC_BATTERIE_H)
	cpi temp2,HIGH(BATTERIE_LOW)
	breq ANZEIGE_BATTERIESTATUS_L
	brsh ANZEIGE_BATTERIESTATUS_OK
	brlo ANZEIGE_BATTERIESTATUS_ERROR
ANZEIGE_BATTERIESTATUS_L:
	cpi temp1,LOW(BATTERIE_LOW)
	breq ANZEIGE_BATTERIESTATUS_OK
	brsh ANZEIGE_BATTERIESTATUS_OK
	brlo ANZEIGE_BATTERIESTATUS_ERROR
ANZEIGE_BATTERIESTATUS_ERROR:
	rjmp LCD_BATT_ON
ANZEIGE_BATTERIESTATUS_OK:
	rjmp LCD_BATT_OFF
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_ZEIT_SCHALTPUNKT_TEMP1:
	push temp1
	call ANZEIGE_BARGRAPH_HEIZZEITEN
	pop temp1	

	call LCD_DOPPELPUNKT_ON
	cpi temp1,255
	brne ANZEIGE_TEXT_ZEIT_SCHALTPUNKT_w
	ldi temp,(LCD_MINUS)
	STS(adr_LCD3),temp
	STS(adr_LCD2),temp
	STS(adr_LCD1),temp
	STS(adr_LCD0),temp
	rjmp LCD_ZIFFERN_WRITE
;-------------------------------------------------------------------------------
ANZEIGE_TEXT_ZEIT_SCHALTPUNKT_w:
	call FUNKTION_ZEIT_DECODIEREN_TEMP1_2	; temp1=hh temp2=mm
	push temp2			; sichen
	clr temp2
	rcall FUNKTION_HEX_ASCII_TEMP1_2
	mov temp,temp1
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD2),temp	; LCD2	
	mov temp,temp2
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD3),temp	; LCD3	
	
	pop temp1			; vorher temp2 
	clr temp2
	rcall FUNKTION_HEX_ASCII_TEMP1_2
	mov temp,temp1
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD0),temp	; LCD0	
	mov temp,temp2
	rcall LCD_UMWANDLUNG_TEMP
	STS(adr_LCD1),temp	; LCD1	
	jmp LCD_ZIFFERN_WRITE
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_WOCHENTAG:
	LDS temp,(adr_WOCHENTAG) ; aktueller TAG	
	cpi temp,1
	breq ANZEIGE_WOCHENTAG_1
	cpi temp,2
	breq ANZEIGE_WOCHENTAG_2
	cpi temp,3
	breq ANZEIGE_WOCHENTAG_3
	cpi temp,4
	breq ANZEIGE_WOCHENTAG_4
	cpi temp,5
	breq ANZEIGE_WOCHENTAG_5
	cpi temp,6
	breq ANZEIGE_WOCHENTAG_6
	rjmp ANZEIGE_WOCHENTAG_7
ANZEIGE_WOCHENTAG_1:
	rjmp LCD_MO_ON
ANZEIGE_WOCHENTAG_2:
	rjmp LCD_DI_ON
ANZEIGE_WOCHENTAG_3:
	rjmp LCD_MI_ON
ANZEIGE_WOCHENTAG_4:
	rjmp LCD_DO_ON
ANZEIGE_WOCHENTAG_5:
	rjmp LCD_FR_ON
ANZEIGE_WOCHENTAG_6:
	rjmp LCD_SA_ON
ANZEIGE_WOCHENTAG_7:
	rjmp LCD_SO_ON
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ist x 24 : max																
ANZEIGE_BARGRAPH_MOTOR_IST:
	LDS temp1,(adr_MOTOR_POSITION_IST_L)
	LDS temp2,(adr_MOTOR_POSITION_IST_H)
	ldi temp3,LOW (24)
	ldi temp4,HIGH(24)
	call FUNKTION_MULTIPLIKATION_16_16_32
	LDS temp5,(adr_MOTOR_POSITION_ENDE_L)
	LDS temp6,(adr_MOTOR_POSITION_ENDE_H)
	call FUNKTION_DIVISION_32_16
	rjmp BARGRAPH_BAND_TEMP1
; ##############################################################################
; ##############################################################################
; ##############################################################################
; durch 4																		
ANZEIGE_BARGRAPH_MOTOR_PROZENT:
	LDS temp1,(adr_MOTOR_PROZENT)
	LSR temp1
	LSR temp1
	rjmp BARGRAPH_BAND_TEMP1
; ##############################################################################
; ##############################################################################
; ##############################################################################
ANZEIGE_BARGRAPH_HEIZZEITEN:
	call BARGRAPH_CLEAR
	call LCD_BARGRAPH_ON

;-------------------------------------------------------------------------------
; alle Schaltpunkte anzeigen													
	LDS temp1,(adr_MOMENTAN_ON1)
	call FUNKTION_ZEIT_DECODIEREN_TEMP1_2	; temp1=hh temp2=mm
	call BARGRAPH_PUNKT_SET_TEMP1

	LDS temp1,(adr_MOMENTAN_OFF1)
	call FUNKTION_ZEIT_DECODIEREN_TEMP1_2	; temp1=hh temp2=mm
	call BARGRAPH_PUNKT_SET_TEMP1

	LDS temp1,(adr_MOMENTAN_ON2)
	call FUNKTION_ZEIT_DECODIEREN_TEMP1_2	; temp1=hh temp2=mm
	call BARGRAPH_PUNKT_SET_TEMP1

	LDS temp1,(adr_MOMENTAN_OFF2)
	call FUNKTION_ZEIT_DECODIEREN_TEMP1_2	; temp1=hh temp2=mm
	call BARGRAPH_PUNKT_SET_TEMP1

	LDS temp1,(adr_MOMENTAN_ON3)
	call FUNKTION_ZEIT_DECODIEREN_TEMP1_2	; temp1=hh temp2=mm
	call BARGRAPH_PUNKT_SET_TEMP1

	LDS temp1,(adr_MOMENTAN_OFF3)
	call FUNKTION_ZEIT_DECODIEREN_TEMP1_2	; temp1=hh temp2=mm
	call BARGRAPH_PUNKT_SET_TEMP1
;-------------------------------------------------------------------------------
;Bereiche anzeigen																
	LDS temp1,(adr_MOMENTAN_ON1)
	LDS temp2,(adr_MOMENTAN_OFF1)
	call ANZEIGE_HEIZZEITEN_BARGRAPH_TEMP1_2
	LDS temp1,(adr_MOMENTAN_ON2)
	LDS temp2,(adr_MOMENTAN_OFF2)
	call ANZEIGE_HEIZZEITEN_BARGRAPH_TEMP1_2
	LDS temp1,(adr_MOMENTAN_ON3)
	LDS temp2,(adr_MOMENTAN_OFF3)
	call ANZEIGE_HEIZZEITEN_BARGRAPH_TEMP1_2
;-------------------------------------------------------------------------------
; aktuelle Stunde																
	LDS temp1,(adr_hh)
	LDS temp,(adr_ss)
	andi temp,0b00000001
	tst temp
	breq PC+2
	rcall BARGRAPH_PUNKT_SET_TEMP1	
	LDS temp1,(adr_hh)
	LDS temp,(adr_ss)
	andi temp,0b00000001
	tst temp
	brne PC+2
	rcall BARGRAPH_PUNKT_CLEAR_TEMP1
	ret		
;-------------------------------------------------------------------------------
;-------------------------------------------------------------------------------
ANZEIGE_HEIZZEITEN_BARGRAPH_TEMP1_2:
	cpi temp1,255
	breq ANZEIGE_HEIZZEITEN_ERROR
	cpi temp2,255
	breq ANZEIGE_HEIZZEITEN_ERROR
	rjmp ANZEIGE_HEIZZEITEN_RUN
;-------------------------------------------------------------------------------
ANZEIGE_HEIZZEITEN_ERROR:
	ret
;-------------------------------------------------------------------------------
ANZEIGE_HEIZZEITEN_RUN:
	push temp2
	call FUNKTION_ZEIT_DECODIEREN_TEMP1_2	; temp1=hh temp2=mm
	mov temp8,temp1	; Anfang	
	POP temp1 		; (temp2)		
	call FUNKTION_ZEIT_DECODIEREN_TEMP1_2	; temp1=hh temp2=mm
	mov temp9,temp1	; Ende		
ANZEIGE_HEIZZEITEN_s:
	mov temp1,temp8
	call BARGRAPH_PUNKT_SET_TEMP1
	cp temp8,temp9
	brne PC+2
	ret	; zurck
	inc temp8
	rjmp ANZEIGE_HEIZZEITEN_s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
