; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE:
	call TASTATUR_ABFRAGE_TEMP
	LDS temp,(adr_TASTE)
	STS(adr_TASTE_OLD),temp
	tst temp
	brne MENUE_START
	jmp MENUE_RUN
;-------------------------------------------------------------------------------
; im Hauptmenue ?																
MENUE_START:
	LDS temp,(adr_MENUE)
	tst temp
	breq MENUE_HAUPT
	rjmp MENUE_RUN
;-------------------------------------------------------------------------------
; Langer oder kurzer Tastendruck												
MENUE_HAUPT:
	ldi temp9,100
MENUE_s:
	call TASTATUR_ABFRAGE_TEMP
	tst temp
	breq MENUE_TASTE_KURZ
	call WAIT_10ms
	dec temp9
	brne MENUE_s
;-------------------------------------------------------------------------------
; TASTE "LANG" erkannt, warten, bis Taste wieder losgelassen wird				
MENUE_TASTE_LANG_s:
	call LCD_VOLL
	call MOTOR_BEEP_SPEZIAL
	call TASTATUR_ABFRAGE_TEMP
	tst temp
	brne MENUE_TASTE_LANG_s
;-------------------------------------------------------------------------------
	LDS temp,(adr_TASTE_OLD)
	STS(adr_TASTE),NULL				; NULL	
	cpi temp,(TASTE_MENUE_WERT)		; Taste MENUE	
	breq MENUE_TASTE_MENUE_LANG
	cpi temp,(TASTE_OK_WERT)		; TASTE OK		
	breq MENUE_TASTE_OK_LANG
	cpi temp,(TASTE_TIME_WERT)		; TASTE TIME	
	breq MENUE_TASTE_TIME_LANG
	jmp MENUE_RUN
;-------------------------------------------------------------------------------
MENUE_TASTE_MENUE_LANG:
	ldi temp,10
	STS(adr_MENUE),temp
	jmp MENUE_RUN
;-------------------------------------------------------------------------------
MENUE_TASTE_OK_LANG:
	ldi temp,20
	STS(adr_MENUE),temp
	jmp MENUE_RUN
;-------------------------------------------------------------------------------
MENUE_TASTE_TIME_LANG:
	ldi temp,50
	STS(adr_MENUE),temp
	jmp MENUE_RUN
;-------------------------------------------------------------------------------
MENUE_TASTE_KURZ:
	LDS temp,(adr_TASTE_OLD)
	STS(adr_TASTE),NULL				; NULL	
	cpi temp,(TASTE_MENUE_WERT)		; Taste MENUE	
	breq MENUE_TASTE_MENUE_KURZ
	cpi temp,(TASTE_OK_WERT)		; TASTE OK		
	breq MENUE_TASTE_OK_KURZ
	cpi temp,(TASTE_TIME_WERT)		; TASTE TIME	
	breq MENUE_TASTE_TIME_KURZ
	jmp MENUE_RUN
;-------------------------------------------------------------------------------
MENUE_TASTE_MENUE_KURZ:
	ldi temp,2
	STS(adr_MENUE),temp
	jmp MENUE_RUN
;-------------------------------------------------------------------------------
MENUE_TASTE_OK_KURZ:
	ldi temp,6
	STS(adr_MENUE),temp
	jmp MENUE_RUN
;-------------------------------------------------------------------------------
MENUE_TASTE_TIME_KURZ:
	ldi temp,60
	STS(adr_MENUE),temp
	jmp MENUE_RUN
;-------------------------------------------------------------------------------
;-------------------------------------------------------------------------------
MENUE_RUN:
	ldi ZL, LOW(MENUE_SPRUNGMARKE)	; Z		
	ldi ZH,HIGH(MENUE_SPRUNGMARKE)
	LDS temp,(adr_MENUE)
	LSL temp	; x2, wegen "jmp (2 Words)"	
	add ZL,temp
	adc ZH,NULL
	IJMP	; SPRUNG nach Z
;-------------------------------------------------------------------------------
MENUE_SPRUNGMARKE:
	jmp MENUE_HAUPTMENUE						; Hauptmenue
	jmp MENUE_DUMMY
	jmp MENUE_EDIT_AUTO_MANU					; Taste "MENUE" kurz	
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
	jmp MENUE_BOOST_TEXT						; Taste "OK" kurz		
	jmp MENUE_BOOST
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
;-------------------------------------------------------------------------------
	jmp MENUE_HISTORIE							; 10
	jmp MENUE_HAND_TEXT
	jmp MENUE_HAND
	jmp MENUE_HAND_PROZENT_TEXT
	jmp MENUE_HAND_PROZENT
	jmp MENUE_RESERVE_0
	jmp MENUE_RESERVE_1
	jmp EEPROM_KONFIGURATION_SPEICHERN
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
;-------------------------------------------------------------------------------
	jmp MENUE_ANZEIGE_TEMPERATUR_IST_TEXT				; "ist"		20
	jmp MENUE_ANZEIGE_TEMPERATUR_IST
	jmp MENUE_ANZEIGE_CAL_TEXT							; "CAL"	
	jmp MENUE_ANZEIGE_INST_TEXT							; "INST"
	jmp MENUE_ANZEIGE_BATTERIESPANNUNG_TEXT				; "batt"
	jmp MENUE_ANZEIGE_BATTERIESPANNUNG
	jmp MENUE_ANZEIGE_MOTOR_POSITION_TEXT				; "POS"	
	jmp MENUE_ANZEIGE_MOTOR_IST_PROZENT					; %		
	jmp MENUE_ANZEIGE_MOTOR_POSITION_TEXT				; "POS"	
	jmp MENUE_ANZEIGE_MOTOR_POSITION
	jmp MENUE_ANZEIGE_MOTOR_POSITION_ENDANSCHLAG_TEXT	; "POSE"
	jmp MENUE_ANZEIGE_MOTOR_POSITION_ENDANSCHLAG
	jmp MENUE_EDIT_CLOSE_TEXT							; "CLOS"
	jmp MENUE_EDIT_CLOSE
	jmp MENUE_EDIT_OPEN_TEXT							; "OPEN"
	jmp MENUE_EDIT_OPEN
	jmp MENUE_EDIT_OFFSET_TEXT							; "OFFS"
	jmp MENUE_EDIT_OFFSET
	jmp MENUE_EDIT_FAKTOR_TEXT							; "FACt"
	jmp MENUE_EDIT_FAKTOR
	jmp MENUE_ANZEIGE_ADC_TEXT
	jmp MENUE_ANZEIGE_ADC
	jmp EEPROM_KONFIGURATION_SPEICHERN
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
;-------------------------------------------------------------------------------
	jmp MENUE_ANZEIGE_ZEIT				; 50
	jmp EEPROM_KONFIGURATION_SPEICHERN
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
;-------------------------------------------------------------------------------
	jmp MENUE_EDIT_TEMPERATUR_TAG				; 60
	jmp MENUE_EDIT_TEMPERATUR_NACHT
	jmp MENUE_EDIT_WOCHENTAG
	jmp MENUE_EDIT_SS
	jmp MENUE_EDIT_HH
	jmp MENUE_EDIT_MM
	jmp MENUE_EDIT_ZEITPROGRAMM_GRUPPE
	jmp MENUE_EDIT_ZEITPROGRAMM_1ON
	jmp MENUE_EDIT_ZEITPROGRAMM_1OFF
	jmp MENUE_EDIT_ZEITPROGRAMM_2ON
	jmp MENUE_EDIT_ZEITPROGRAMM_2OFF
	jmp MENUE_EDIT_ZEITPROGRAMM_3ON
	jmp MENUE_EDIT_ZEITPROGRAMM_3OFF
	jmp MENUE_EDIT_SAVE
	jmp EEPROM_KONFIGURATION_SPEICHERN
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
	jmp MENUE_DUMMY
	jmp EEPROM_KONFIGURATION_SPEICHERN
	; Fehlerprfung
	nop
	nop
	STS (adr_MENUE),NULL
	jmp MENUE_RUN
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_DUMMY:
	call LCD_CLEAR
	call WAIT_200ms
	ldi temp4,(LCD_d)
	ldi temp3,(LCD_u_)
	STS(adr_LCD3),temp4
	STS(adr_LCD2),temp3
	LDS temp1,(adr_MENUE)
	call LCD_ZAHL_2_TEMP1
	call WAIT_200ms
	rjmp MENUE_DUMMY
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_NEXT:
	call TASTATUR_ABFRAGE_TEMP	; Taste gedrckt ?	
	tst temp
	brne MENUE_NEXT_w			; ja	-->weiter	
	ret							; nein	-->zurck	
;-------------------------------------------------------------------------------
MENUE_NEXT_w:
	cpi temp,(TASTE_OK_WERT)	; Taste OK ?		
	breq MENUE_NEXT_OK			; ja	-->weiter	
	cpi temp,((TASTE_MENUE_WERT)); Taste MENUE ?		
	breq MENUE_NEXT_MENUE		; ja	-->weiter	
	ret
;-------------------------------------------------------------------------------
MENUE_NEXT_MENUE:
	call TEXT_ESC
	call WAIT_200ms
	rcall MENUE_WAIT_NO_TASTE
	STS(adr_MENUE),NULL
	ret
;-------------------------------------------------------------------------------
MENUE_NEXT_OK:
	rcall MENUE_WAIT_NO_TASTE
	LDS temp,(adr_MENUE)
	inc temp
	STS(adr_MENUE),temp
	ret
;-------------------------------------------------------------------------------
MENUE_WAIT_NO_TASTE:
	call TASTATUR_ABFRAGE_TEMP	; Taste losgelassen ?	
	tst temp
	brne MENUE_WAIT_NO_TASTE	; nein-->Schleife		
	ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_HAUPTMENUE:
;	call MOTOR_POSITION_LADEN_TEMP1_2	
; 	jmp LCD_ZAHL_TEMP1_2			
;	LDS temp1,(adr_TIMER_SLEEP)
; 	jmp LCD_ZAHL_TEMP1			
;										
;	call MESSEN_STROM					
; 	jmp  LCD_ZAHL_TEMP1_2			
;	LDS temp1,(adr_TEMPERATUR_IST_L)	
;	LDS temp2,(adr_TEMPERATUR_IST_H)	
;	jmp LCD_TEMPERATUR_TEMP1_2			



;-------------------------------------------------------------------------------
	call LCD_CLEAR
	call ANZEIGE_BATTERIESTATUS
;-------------------------------------------------------------------------------

	LDS temp1,(adr_TEMPERATUR_SOLL_L)
	LDS temp2,(adr_TEMPERATUR_SOLL_H)
	call DREHGEBER_STEP5_TEMP1_2	; STEP=5	
	STS(adr_TEMPERATUR_SOLL_L),temp1
	STS(adr_TEMPERATUR_SOLL_H),temp2
	call LCD_TEMPERATUR_TEMP1_2
;-------------------------------------------------------------------------------
; Anzeige "AUTO" / "MANU"	
	LDS temp,(adr_MODUS_MANU_ON)
	tst temp
	breq MENUE_EDIT_TS_AUTO
	call LCD_MANU_ON
	call ANZEIGE_BARGRAPH_MOTOR_PROZENT
	rjmp MENUE_EDIT_SOLL_w
;-------------------------------------------------------------------------------
MENUE_EDIT_TS_AUTO:
	call LCD_AUTO_ON
	call ANZEIGE_BARGRAPH_HEIZZEITEN
	call ANZEIGE_WOCHENTAG
	LDS temp,(adr_MODUS_TAG_ON)
	tst temp
	breq MENUE_EDIT_TS_MOND
	call LCD_INDOOR_ON
	rjmp MENUE_EDIT_SOLL_w
;-------------------------------------------------------------------------------
MENUE_EDIT_TS_MOND:
	call LCD_MOND_ON
;-------------------------------------------------------------------------------
MENUE_EDIT_SOLL_w:
	;call WAIT_100ms	; unterdrckt flimmern
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; "IST"																			
MENUE_ANZEIGE_TEMPERATUR_IST_TEXT:
	call TEXT_IST
	jmp MENUE_NEXT
; ##############################################################################
MENUE_ANZEIGE_TEMPERATUR_IST:
	call ADC_MESSEN_TEMPERATUR	
	LDS temp1,(adr_TEMPERATUR_IST_L)
	LDS temp2,(adr_TEMPERATUR_IST_H)
	call LCD_TEMPERATUR_TEMP1_2
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; "%"																			
MENUE_ANZEIGE_MOTOR_IST_PROZENT:
	LDS temp1,(adr_MOTOR_PROZENT)
	call LCD_ZAHL_PROZENT_TEMP1
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; "BATT"																		
MENUE_ANZEIGE_BATTERIESPANNUNG_TEXT:
	call TEXT_BATT
	jmp MENUE_NEXT
; ##############################################################################
MENUE_ANZEIGE_BATTERIESPANNUNG:
	LDS temp,(adr_ss)
	cpi temp,30
	brlo MENUE_ANZEIGE_BATT_OHNE_LAST
	ldi temp1,0
	call MOTOR_PROZENT_TEMP1
	ldi temp1,255
	call MOTOR_PROZENT_TEMP1
MENUE_ANZEIGE_BATT_OHNE_LAST:
	call ANZEIGE_BARGRAPH_MOTOR_IST
	call LCD_PUNKT_ON
	call ADC_MESSEN_BATTERIE_SPANNUNG
	LDS temp1,(adr_ADC_BATTERIE_L)
	LDS temp2,(adr_ADC_BATTERIE_H)
	call LCD_ZAHL_TEMP1_2
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; "POS"																			
MENUE_ANZEIGE_MOTOR_POSITION_TEXT:
	call TEXT_POS
	jmp MENUE_NEXT
; ##############################################################################
MENUE_ANZEIGE_MOTOR_POSITION:
	call MOTOR_POSITION_IST_TEMP1_2
	call LCD_ZAHL_TEMP1_2
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; "POSE"																		
MENUE_ANZEIGE_MOTOR_POSITION_ENDANSCHLAG_TEXT:
	call TEXT_POSE
	jmp MENUE_NEXT
; ##############################################################################
MENUE_ANZEIGE_MOTOR_POSITION_ENDANSCHLAG:
	LDS temp1,(adr_MOTOR_POSITION_ENDE_L)
	LDS temp2,(adr_MOTOR_POSITION_ENDE_H)
	call LCD_ZAHL_TEMP1_2
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; "CLOSE"																		
MENUE_EDIT_CLOSE_TEXT:
	call TEXT_CLOSE
	jmp MENUE_NEXT
; ##############################################################################
MENUE_EDIT_CLOSE:
	LDS temp1,(adr_VENTIL_ZU_L)
	LDS temp2,(adr_VENTIL_ZU_H)
	call DREHGEBER_TEMP1_2
	STS(adr_VENTIL_ZU_L),temp1
	STS(adr_VENTIL_ZU_H),temp2
	call LCD_ZAHL_TEMP1_2
	call LCD_BLINKEN				; blinken	
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; "OPEN"																		
MENUE_EDIT_OPEN_TEXT:
	call TEXT_OPEN
	jmp MENUE_NEXT
; ##############################################################################
MENUE_EDIT_OPEN:
	LDS temp1,(adr_VENTIL_AUF_L)
	LDS temp2,(adr_VENTIL_AUF_H)
	call DREHGEBER_TEMP1_2
	STS(adr_VENTIL_AUF_L),temp1
	STS(adr_VENTIL_AUF_H),temp2
	call LCD_ZAHL_TEMP1_2
	call LCD_BLINKEN				; blinken	
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; "FAKTOR"																		
MENUE_EDIT_FAKTOR_TEXT:
	call TEXT_FACT
	jmp MENUE_NEXT
; ##############################################################################
MENUE_EDIT_FAKTOR:
	LDS temp1,(adr_HZG_FAKTOR)
	call DREHGEBER_TEMP1_2
	cpi temp1,0			; 1...10 (Prozent pro 0,1 Abweichung)
	brne PC+2
	ldi temp1,1
	cpi temp1,10+1
	brlo PC+2
	ldi temp1,10
	STS(adr_HZG_FAKTOR),temp1
	call LCD_ZAHL_2_TEMP1
	call LCD_BLINKEN				; blinken	
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; "OFFS"																		
MENUE_EDIT_OFFSET_TEXT:
	call TEXT_OFFS
	jmp MENUE_NEXT
; ##############################################################################
MENUE_EDIT_OFFSET:
	LDS temp1,(adr_TEMPERATUR_IST_OFFSET)
	call DREHGEBER_TEMP1_2
	STS(adr_TEMPERATUR_IST_OFFSET),temp1
	call LCD_ZAHL_NEG_TEMP1	; signiert
	call LCD_BLINKEN				; blinken	
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; "ADC"																			
MENUE_ANZEIGE_ADC_TEXT:
	call TEXT_ADC
	jmp MENUE_NEXT
; ##############################################################################
MENUE_ANZEIGE_ADC:
	call ADC_MESSEN_TEMPERATUR	
	LDS temp1,(adr_ADC_1_L)
	LDS temp2,(adr_ADC_1_H)
	call LCD_ZAHL_TEMP1_2
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; "CAL"																			
MENUE_ANZEIGE_CAL_TEXT:
	call TEXT_CAL
	call TASTATUR_ABFRAGE_TEMP
	cpi temp,(TASTE_TIME_WERT) ; TASTE "TIME"
	breq MENUE_ANZEIGE_CAL_RUN
	jmp MENUE_NEXT
;-------------------------------------------------------------------------------
MENUE_ANZEIGE_CAL_RUN:
	jmp MOTOR_CALIBRIERUNG
; ##############################################################################
; ##############################################################################
; ##############################################################################
; "INST"																		
MENUE_ANZEIGE_INST_TEXT:
	call TEXT_INST
	call TASTATUR_ABFRAGE_TEMP
	tst temp
	breq MENUE_ANZEIGE_INST_TEXT
	cpi temp,(TASTE_TIME_WERT) ; TASTE "TIME"
	breq MENUE_ANZEIGE_INST_w
	jmp MENUE_NEXT
;-------------------------------------------------------------------------------
MENUE_ANZEIGE_INST_w:
	call MOTOR_POSITIONIEREN
;-------------------------------------------------------------------------------
MENUE_ANZEIGE_INST_w1:
	call TEXT_INST
	call TASTATUR_ABFRAGE_TEMP
	cpi temp,(TASTE_OK_WERT) ; TASTE "OK"
	brne MENUE_ANZEIGE_INST_w1
	STS(adr_TIMER_BERECHNUNG_mm),NULL
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; "AUTO/MANU"																	
MENUE_EDIT_AUTO_MANU:
	LDS temp,(adr_MODUS_MANU_ON)
	inc temp
	andi temp,0b00000001
	STS(adr_MODUS_MANU_ON),temp
	STS(adr_MENUE),NULL
	jmp EEPROM_KONFIGURATION_SPEICHERN
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_HISTORIE:
	LDS temp1,(adr_HISTORIE_ZEIGER)	; load	
	call DREHGEBER_TEMP1_2
	cpi temp1,59+1+1				; 0...59
	brlo PC+2
	clr temp1
	cpi temp1,(-1)					; -1	
	brne PC+2
	clr temp1
	STS(adr_HISTORIE_ZEIGER),temp1	; save	
	cpi temp1,0						; Null ?
	brne MENUE_HIST_w
	call TEXT_HIST
	jmp MENUE_NEXT
;-------------------------------------------------------------------------------
MENUE_HIST_w:
	LDS temp1,(adr_HISTORIE_ZEIGER)	; load	
	dec temp1
	LSL temp1						; mal 2
	ldi ZL,LOW (adr_HISTORIE_L)
	ldi ZH,HIGH(adr_HISTORIE_L)
	add ZL,temp1
	adc ZH,NULL
	LD temp1,Z+
	LD temp2,Z+
	call LCD_ZAHL_TEMP1_2
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_HAND_TEXT:
	call TEXT_HAND
	LDS temp1,(adr_MOTOR_POSITION_IST_L)
	LDS temp2,(adr_MOTOR_POSITION_IST_H)
	STS(adr_MOTORHAND_L),temp1
	STS(adr_MOTORHAND_H),temp2
	jmp MENUE_NEXT
; ##############################################################################
MENUE_HAND:
	call ANZEIGE_BARGRAPH_MOTOR_IST
	LDS temp1,(adr_MOTORHAND_L)
	LDS temp2,(adr_MOTORHAND_H)
	call DREHGEBER_TEMP1_2
	STS(adr_MOTORHAND_L),temp1
	STS(adr_MOTORHAND_H),temp2
	call LCD_ZAHL_TEMP1_2
	call TASTATUR_ABFRAGE_TEMP
	cpi temp,(TASTE_TIME_WERT)	; TASTE "TIME"
	breq MENUE_HAND_w
	jmp MENUE_NEXT
;-------------------------------------------------------------------------------
MENUE_HAND_w:
	call MOTOR_BEEP_LANG
	LDS XL,(adr_MOTORHAND_L)
	LDS XH,(adr_MOTORHAND_H)
	call MOTOR_X
;-------------------------------------------------------------------------------
MENUE_HAND_s:
	WDR
	call ANZEIGE_BARGRAPH_MOTOR_IST
	LDS temp1,(adr_MOTOR_POSITION_IST_L)
	LDS temp2,(adr_MOTOR_POSITION_IST_H)
	call LCD_ZAHL_TEMP1_2
	LDS temp,(adr_MOTOR_DREHRICHTUNG)
	tst temp
	brne MENUE_HAND_s
	call WAIT_2s	
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_HAND_PROZENT_TEXT:
	call TEXT_HAND
	jmp MENUE_NEXT
; ##############################################################################
MENUE_HAND_PROZENT:
	LDS temp1,(adr_MOTOR_PROZENT)
	call DREHGEBER_TEMP1_2
	STS(adr_MOTOR_PROZENT),temp1
	call LCD_ZAHL_PROZENT_TEMP1
	call TASTATUR_ABFRAGE_TEMP
	cpi temp,(TASTE_TIME_WERT)	; TASTE "TIME"
	breq MENUE_HAND_PROZENT_w
	jmp MENUE_NEXT
;-------------------------------------------------------------------------------
MENUE_HAND_PROZENT_w:
	LDS temp1,(adr_MOTOR_PROZENT)
	call MOTOR_PROZENT_TEMP1
	call MOTOR_WAIT
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_RESERVE_0:
	call LCD_VOLL
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_RESERVE_1:
	call TEXT_RES1
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; "BOOST"																		
MENUE_BOOST_TEXT:
	call TEXT_BOOST
	jmp MENUE_NEXT
; ##############################################################################
MENUE_BOOST:
	ldi temp1,100 ; 100%
	call MOTOR_PROZENT_TEMP1
	call ANZEIGE_BARGRAPH_MOTOR_PROZENT
;-------------------------------------------------------------------------------
	ldi temp1,LOW (300)				; BOOST-TIMER
	ldi temp2,HIGH(300)	
	STS(adr_TIMER_BOOST_L),temp1
	STS(adr_TIMER_BOOST_H),temp2
MENUE_BOOST_s2:
	LDS temp1,(adr_TIMER_BOOST_L)
	LDS temp2,(adr_TIMER_BOOST_H)
	sub temp1,EINS
	sbc temp2,NULL
	STS(adr_TIMER_BOOST_L),temp1
	STS(adr_TIMER_BOOST_H),temp2
	tst temp1
	brne MENUE_BOOST_w1
	tst temp2
	breq MENUE_BOOST_FERTIG
MENUE_BOOST_w1:
	LDS temp1,(adr_TIMER_BOOST_L)
	LDS temp2,(adr_TIMER_BOOST_H)
	call LCD_ZAHL_TEMP1_2
	call TASTATUR_ABFRAGE_TEMP		; Taste ?
	tst temp
	brne MENUE_BOOST_FERTIG
	call WAIT_1s
	rjmp MENUE_BOOST_s2
;-------------------------------------------------------------------------------
MENUE_BOOST_FERTIG:
	STS(adr_TIMER_BERECHNUNG_mm),NULL
	STS(adr_MENUE),NULL
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_ANZEIGE_ZEIT:
	call ANZEIGE_ZEIT
jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_EDIT_TEMPERATUR_TAG:
	call LCD_INDOOR_ON
	LDS temp1,(adr_TEMPERATUR_TAG_L)
	LDS temp2,(adr_TEMPERATUR_TAG_H)
	call DREHGEBER_STEP5_TEMP1_2	; STEP=5	
	STS(adr_TEMPERATUR_TAG_L),temp1
	STS(adr_TEMPERATUR_TAG_H),temp2
	call LCD_TEMPERATUR_TEMP1_2
	call LCD_BLINKEN				; blinken	
jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_EDIT_TEMPERATUR_NACHT:
	call LCD_MOND_ON
	LDS temp1,(adr_TEMPERATUR_NACHT_L)
	LDS temp2,(adr_TEMPERATUR_NACHT_H)
	call DREHGEBER_STEP5_TEMP1_2	; STEP=5	
	STS(adr_TEMPERATUR_NACHT_L),temp1
	STS(adr_TEMPERATUR_NACHT_H),temp2
	call LCD_TEMPERATUR_TEMP1_2
	call LCD_BLINKEN				; blinken	
jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_EDIT_WOCHENTAG:
	call LCD_CLEAR
	ldi temp3,(LCD_d)
	ldi temp2,(LCD_A)
	ldi temp1,(LCD_Y)
	STS(adr_LCD3),temp3
	STS(adr_LCD2),temp2
	STS(adr_LCD1),temp1
	call LCD_ZIFFERN_WRITE
	call ANZEIGE_WOCHENTAG
	LDS temp1,(adr_WOCHENTAG)
	call DREHGEBER_TEMP1_2
	cpi temp1,7+1	; 1...7
	brlo PC+2
	ldi temp1,7
	cpi temp1,0		
	brne PC+2
	ldi temp1,1
	STS(adr_WOCHENTAG),temp1
	call LCD_BLINKEN				; blinken	
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_EDIT_HH:
	ldi temp,(LCD_H_)
	STS(adr_LCD2),temp
	STS(adr_LCD3),temp
	call LCD_DOPPELPUNKT_ON
	LDS temp1,(adr_hh)
	call DREHGEBER_TEMP1_2
	cpi temp1,255	; 0..23
	brne PC+2
	ldi temp1,23
	cpi temp1,23+1
	brlo PC+2
	clr temp1
	STS(adr_hh),temp1
	call LCD_ZAHL_2_TEMP1
	call LCD_BLINKEN				; blinken	
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_EDIT_MM:
	ldi temp,(LCD_M)
	STS(adr_LCD2),temp
	STS(adr_LCD3),temp
	call LCD_DOPPELPUNKT_ON
	LDS temp1,(adr_mm)
	call DREHGEBER_TEMP1_2
	cpi temp1,255	; 0..59
	brne PC+2
	ldi temp1,59
	cpi temp1,59+1
	brlo PC+2
	clr temp1
	STS(adr_mm),temp1
	call LCD_ZAHL_2_TEMP1
	call LCD_BLINKEN				; blinken	
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
MENUE_EDIT_SS:
	ldi temp,(LCD_)
	STS(adr_LCD2),temp
	STS(adr_LCD3),temp
	call LCD_DOPPELPUNKT_ON
	LDS temp1,(adr_ss)
	call DREHGEBER_TEMP1_2
	cpi temp1,255	; 0..59
	brne PC+2
	ldi temp1,59
	cpi temp1,59+1
	brlo PC+2
	clr temp1
	STS(adr_ss),temp1
	call LCD_ZAHL_2_TEMP1
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; 0= 1-7	Mo-So																
; 1= 1		Mo																	
; 2= 2		Di																	
; 3= 3		Mi																	
; 4= 4		Do																	
; 5= 5		Fr																	
; 6= 6		Sa																	
; 7= 7		So																	
; 8=1-5		Mo-Fr																
; 9=6-7		Sa-So																
MENUE_EDIT_ZEITPROGRAMM_GRUPPE:
	LDS temp1,(adr_ZEITPROGRAMM_GRUPPE)
	call DREHGEBER_TEMP1_2
	cpi temp1,9+1	; 0...9
	brlo PC+2
	clr temp1
	STS(adr_ZEITPROGRAMM_GRUPPE),temp1
	call ANZEIGE_TEXT_ZEITPROGRAMM_GRUPPE
	call ANZEIGE_BARGRAPH_HEIZZEITEN
	ldi XL,LOW (adr_MOMENTAN_ON1)
	ldi XH,HIGH(adr_MOMENTAN_ON1)
	LDS temp1,(adr_ZEITPROGRAMM_GRUPPE)
;-------------------------------------------------------------------------------
MENUE_EDIT_ZEITPROGRAMM_0:
	cpi temp1,0
	brne MENUE_EDIT_ZEITPROGRAMM_1
	ldi ZL,LOW (adr_TAG1_ON1) 
	ldi ZH,HIGH(adr_TAG1_ON1)
	jmp MENUE_EDIT_ZEITPROGRAMM_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_ZEITPROGRAMM_1:
	cpi temp1,1
	brne MENUE_EDIT_ZEITPROGRAMM_2
	ldi ZL,LOW (adr_TAG1_ON1)
	ldi ZH,HIGH(adr_TAG1_ON1)
	jmp MENUE_EDIT_ZEITPROGRAMM_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_ZEITPROGRAMM_2:
	cpi temp1,2
	brne MENUE_EDIT_ZEITPROGRAMM_3
	ldi ZL,LOW (adr_TAG2_ON1)
	ldi ZH,HIGH(adr_TAG2_ON1)
	jmp MENUE_EDIT_ZEITPROGRAMM_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_ZEITPROGRAMM_3:
	cpi temp1,3
	brne MENUE_EDIT_ZEITPROGRAMM_4
	ldi ZL,LOW (adr_TAG3_ON1)
	ldi ZH,HIGH(adr_TAG3_ON1)
	jmp MENUE_EDIT_ZEITPROGRAMM_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_ZEITPROGRAMM_4:
	cpi temp1,4
	brne MENUE_EDIT_ZEITPROGRAMM_5
	ldi ZL,LOW (adr_TAG4_ON1)
	ldi ZH,HIGH(adr_TAG4_ON1)
	jmp MENUE_EDIT_ZEITPROGRAMM_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_ZEITPROGRAMM_5:
	cpi temp1,5
	brne MENUE_EDIT_ZEITPROGRAMM_6
	ldi ZL,LOW (adr_TAG5_ON1)
	ldi ZH,HIGH(adr_TAG5_ON1)
	jmp MENUE_EDIT_ZEITPROGRAMM_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_ZEITPROGRAMM_6:
	cpi temp1,6
	brne MENUE_EDIT_ZEITPROGRAMM_7
	ldi ZL,LOW (adr_TAG6_ON1)
	ldi ZH,HIGH(adr_TAG6_ON1)
	jmp MENUE_EDIT_ZEITPROGRAMM_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_ZEITPROGRAMM_7:
	cpi temp1,7
	brne MENUE_EDIT_ZEITPROGRAMM_8
	ldi ZL,LOW (adr_TAG7_ON1)
	ldi ZH,HIGH(adr_TAG7_ON1)
	jmp MENUE_EDIT_ZEITPROGRAMM_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_ZEITPROGRAMM_8:
	cpi temp1,8
	brne MENUE_EDIT_ZEITPROGRAMM_9
	ldi ZL,LOW (adr_TAG1_ON1)
	ldi ZH,HIGH(adr_TAG1_ON1)
	jmp MENUE_EDIT_ZEITPROGRAMM_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_ZEITPROGRAMM_9:
	ldi ZL,LOW (adr_TAG6_ON1)
	ldi ZH,HIGH(adr_TAG6_ON1)
	jmp MENUE_EDIT_ZEITPROGRAMM_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_ZEITPROGRAMM_FERTIG:
	LD temp,Z+
	ST X+,temp
	LD temp,Z+
	ST X+,temp
	LD temp,Z+
	ST X+,temp
	LD temp,Z+
	ST X+,temp
	LD temp,Z+
	ST X+,temp
	LD temp,Z+
	ST X+,temp
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Schaltpunkt 1-ON																
MENUE_EDIT_ZEITPROGRAMM_1ON:

	LDS temp1,(adr_MOMENTAN_ON1)
	call DREHGEBER_TEMP1_2			; Drehgeber	
	call FUNCTION_ZEIT_CHECK_TEMP1	; Check		
	STS(adr_MOMENTAN_ON1),temp1	
	call ANZEIGE_ZEIT_SCHALTPUNKT_TEMP1
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Schaltpunkt 1-OFF																
MENUE_EDIT_ZEITPROGRAMM_1OFF:
	LDS temp,(adr_MOMENTAN_OFF1)			; OFF laden, Ausschaltzeit muss definiert sein	
	cpi temp,255							; deaktiviert (255) ?	
	brne MENUE_EDIT_ZEITPROGRAMM_1OFF_RUN	; nein-->Sprung			
	LDS temp,(adr_MOMENTAN_ON1)				; ON laden 				
	STS(adr_MOMENTAN_OFF1),temp				; OFF speichern			
;-------------------------------------------------------------------------------
MENUE_EDIT_ZEITPROGRAMM_1OFF_RUN:
	call LCD_MOND_ON
	LDS temp1,(adr_MOMENTAN_OFF1)
	call DREHGEBER_TEMP1_2			; Drehgeber	
	call FUNCTION_ZEIT_CHECK_TEMP1	; Check		
	STS(adr_MOMENTAN_OFF1),temp1
	call ANZEIGE_ZEIT_SCHALTPUNKT_TEMP1
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Schaltpunkt 2-ON																
MENUE_EDIT_ZEITPROGRAMM_2ON:

	LDS temp1,(adr_MOMENTAN_ON2)
	call DREHGEBER_TEMP1_2			; Drehgeber	
	call FUNCTION_ZEIT_CHECK_TEMP1	; Check		
	STS(adr_MOMENTAN_ON2),temp1
	call ANZEIGE_ZEIT_SCHALTPUNKT_TEMP1
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Schaltpunkt 2-OFF																
MENUE_EDIT_ZEITPROGRAMM_2OFF:
	LDS temp,(adr_MOMENTAN_OFF2)			; OFF laden, Ausschaltzeit muss definiert sein	
	cpi temp,255							; deaktiviert (255) ?	
	brne MENUE_EDIT_ZEITPROGRAMM_2OFF_RUN	; nein-->Sprung			
	LDS temp,(adr_MOMENTAN_ON2)				; ON laden 				
	STS(adr_MOMENTAN_OFF2),temp				; OFF speichern			
;-------------------------------------------------------------------------------
MENUE_EDIT_ZEITPROGRAMM_2OFF_RUN:
	call LCD_MOND_ON
	LDS temp1,(adr_MOMENTAN_OFF2)
	call DREHGEBER_TEMP1_2			; Drehgeber	
	call FUNCTION_ZEIT_CHECK_TEMP1	; Check		
	STS(adr_MOMENTAN_OFF2),temp1
	call ANZEIGE_ZEIT_SCHALTPUNKT_TEMP1
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Schaltpunkt 3-ON																
MENUE_EDIT_ZEITPROGRAMM_3ON:

	LDS temp1,(adr_MOMENTAN_ON3)
	call DREHGEBER_TEMP1_2			; Drehgeber	
	call FUNCTION_ZEIT_CHECK_TEMP1	; Check		
	STS(adr_MOMENTAN_ON3),temp1
	call ANZEIGE_ZEIT_SCHALTPUNKT_TEMP1
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Schaltpunkt 3-OFF																
MENUE_EDIT_ZEITPROGRAMM_3OFF:
	LDS temp,(adr_MOMENTAN_OFF3)			; OFF laden, Ausschaltzeit muss definiert sein	
	cpi temp,255							; deaktiviert (255) ?	
	brne MENUE_EDIT_ZEITPROGRAMM_3OFF_RUN	; nein-->Sprung			
	LDS temp,(adr_MOMENTAN_ON3)				; ON laden 				
	STS(adr_MOMENTAN_OFF3),temp				; OFF speichern			
;-------------------------------------------------------------------------------
MENUE_EDIT_ZEITPROGRAMM_3OFF_RUN:
	call LCD_MOND_ON
	LDS temp1,(adr_MOMENTAN_OFF3)
	call DREHGEBER_TEMP1_2			; Drehgeber	
	call FUNCTION_ZEIT_CHECK_TEMP1	; Check		
	STS(adr_MOMENTAN_OFF3),temp1
	call ANZEIGE_ZEIT_SCHALTPUNKT_TEMP1
	jmp MENUE_NEXT
; ##############################################################################
; ##############################################################################
; ##############################################################################
; 0= 1-7	Mo-So																
; 1= 1		Mo																	
; 2= 2		Di																	
; 3= 3		Mi																	
; 4= 4		Do																	
; 5= 5		Fr																	
; 6= 6		Sa																	
; 7= 7		So																	
; 8=1-5		Mo-Fr																
; 9=6-7		Sa-So																
MENUE_EDIT_SAVE:
	call TEXT_SAVE
	LDS temp1,(adr_ZEITPROGRAMM_GRUPPE)
;-------------------------------------------------------------------------------
	cpi temp1,0
	brne MENUE_EDIT_SAVE_1
	call MENUE_EDIT_ZEITPROGRAMM_SAVE_1
	call MENUE_EDIT_ZEITPROGRAMM_SAVE_2
	call MENUE_EDIT_ZEITPROGRAMM_SAVE_3
	call MENUE_EDIT_ZEITPROGRAMM_SAVE_4
	call MENUE_EDIT_ZEITPROGRAMM_SAVE_5
	call MENUE_EDIT_ZEITPROGRAMM_SAVE_6
	call MENUE_EDIT_ZEITPROGRAMM_SAVE_7
	jmp MENUE_NEXT
;-------------------------------------------------------------------------------
MENUE_EDIT_SAVE_1:
	cpi temp1,1
	brne MENUE_EDIT_SAVE_2
	call MENUE_EDIT_ZEITPROGRAMM_SAVE_1
	jmp MENUE_NEXT
;-------------------------------------------------------------------------------
MENUE_EDIT_SAVE_2:
	cpi temp1,2
	brne MENUE_EDIT_SAVE_3
	call MENUE_EDIT_ZEITPROGRAMM_SAVE_2
	jmp MENUE_NEXT
;-------------------------------------------------------------------------------
MENUE_EDIT_SAVE_3:
	cpi temp1,3
	brne MENUE_EDIT_SAVE_4
	call MENUE_EDIT_ZEITPROGRAMM_SAVE_3
	jmp MENUE_NEXT
;-------------------------------------------------------------------------------
MENUE_EDIT_SAVE_4:
	cpi temp1,4
	brne MENUE_EDIT_SAVE_5
	call MENUE_EDIT_ZEITPROGRAMM_SAVE_4
	jmp MENUE_NEXT
;-------------------------------------------------------------------------------
MENUE_EDIT_SAVE_5:
	cpi temp1,5
	brne MENUE_EDIT_SAVE_6
	call MENUE_EDIT_ZEITPROGRAMM_SAVE_5
	jmp MENUE_NEXT
;-------------------------------------------------------------------------------
MENUE_EDIT_SAVE_6:
	cpi temp1,6
	brne MENUE_EDIT_SAVE_7
	call MENUE_EDIT_ZEITPROGRAMM_SAVE_6
	jmp MENUE_NEXT
;-------------------------------------------------------------------------------
MENUE_EDIT_SAVE_7:
	cpi temp1,7
	brne MENUE_EDIT_SAVE_8
	call MENUE_EDIT_ZEITPROGRAMM_SAVE_7
	jmp MENUE_NEXT
;-------------------------------------------------------------------------------
MENUE_EDIT_SAVE_8:
	cpi temp1,8
	brne MENUE_EDIT_SAVE_9
	call MENUE_EDIT_ZEITPROGRAMM_SAVE_1
	call MENUE_EDIT_ZEITPROGRAMM_SAVE_2
	call MENUE_EDIT_ZEITPROGRAMM_SAVE_3
	call MENUE_EDIT_ZEITPROGRAMM_SAVE_4
	call MENUE_EDIT_ZEITPROGRAMM_SAVE_5
	jmp MENUE_NEXT
;-------------------------------------------------------------------------------
MENUE_EDIT_SAVE_9:
	call MENUE_EDIT_ZEITPROGRAMM_SAVE_6
	call MENUE_EDIT_ZEITPROGRAMM_SAVE_7
	jmp MENUE_NEXT
;-------------------------------------------------------------------------------
;-------------------------------------------------------------------------------
MENUE_EDIT_ZEITPROGRAMM_SAVE_1:
	ldi XL,LOW (adr_MOMENTAN_ON1)
	ldi XH,HIGH(adr_MOMENTAN_ON1)
	ldi ZL,LOW (adr_TAG1_ON1)
	ldi ZH,HIGH(adr_TAG1_ON1)
	jmp MENUE_EDIT_ZEITPROGRAMM_SAVE_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_ZEITPROGRAMM_SAVE_2:
	ldi XL,LOW (adr_MOMENTAN_ON1)
	ldi XH,HIGH(adr_MOMENTAN_ON1)
	ldi ZL,LOW (adr_TAG2_ON1)
	ldi ZH,HIGH(adr_TAG2_ON1)
	jmp MENUE_EDIT_ZEITPROGRAMM_SAVE_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_ZEITPROGRAMM_SAVE_3:
	ldi XL,LOW (adr_MOMENTAN_ON1)
	ldi XH,HIGH(adr_MOMENTAN_ON1)
	ldi ZL,LOW (adr_TAG3_ON1)
	ldi ZH,HIGH(adr_TAG3_ON1)
	jmp MENUE_EDIT_ZEITPROGRAMM_SAVE_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_ZEITPROGRAMM_SAVE_4:
	ldi XL,LOW (adr_MOMENTAN_ON1)
	ldi XH,HIGH(adr_MOMENTAN_ON1)
	ldi ZL,LOW (adr_TAG4_ON1)
	ldi ZH,HIGH(adr_TAG4_ON1)
	jmp MENUE_EDIT_ZEITPROGRAMM_SAVE_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_ZEITPROGRAMM_SAVE_5:
	ldi XL,LOW (adr_MOMENTAN_ON1)
	ldi XH,HIGH(adr_MOMENTAN_ON1)
	ldi ZL,LOW (adr_TAG5_ON1)
	ldi ZH,HIGH(adr_TAG5_ON1)
	jmp MENUE_EDIT_ZEITPROGRAMM_SAVE_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_ZEITPROGRAMM_SAVE_6:
	ldi XL,LOW (adr_MOMENTAN_ON1)
	ldi XH,HIGH(adr_MOMENTAN_ON1)
	ldi ZL,LOW (adr_TAG6_ON1)
	ldi ZH,HIGH(adr_TAG6_ON1)
	jmp MENUE_EDIT_ZEITPROGRAMM_SAVE_FERTIG
;-------------------------------------------------------------------------------
MENUE_EDIT_ZEITPROGRAMM_SAVE_7:
	ldi XL,LOW (adr_MOMENTAN_ON1)
	ldi XH,HIGH(adr_MOMENTAN_ON1)
	ldi ZL,LOW (adr_TAG7_ON1)
	ldi ZH,HIGH(adr_TAG7_ON1)
;-------------------------------------------------------------------------------
MENUE_EDIT_ZEITPROGRAMM_SAVE_FERTIG:
	LD temp,X+
	ST Z+,temp
	LD temp,X+
	ST Z+,temp
	LD temp,X+
	ST Z+,temp
	LD temp,X+
	ST Z+,temp
	LD temp,X+
	ST Z+,temp
	LD temp,X+
	ST Z+,temp
	ret
; ##############################################################################
; ##############################################################################
; ##############################################################################






