; ##############################################################################
; ##############################################################################
; ##############################################################################
TASTEN_INITIALISIEREN:
	; auf EINGANG		
	cbi (TASTE_MENUE_DDR),(TASTE_MENUE_PIN_NR)
	cbi (TASTE_OK_DDR)   ,(TASTE_OK_PIN_NR)
	cbi (TASTE_TIME_DDR) ,(TASTE_TIME_PIN_NR)
	; PULL-UP ein		
	sbi (TASTE_MENUE_PORT),(TASTE_MENUE_PIN_NR)
	sbi (TASTE_OK_PORT)   ,(TASTE_OK_PIN_NR)
	sbi (TASTE_TIME_PORT) ,(TASTE_TIME_PIN_NR)
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; OUT: temp+SRAM																
TASTATUR_ABFRAGE_TEMP:
	WDR
	push temp9
	clr temp
	ldi temp9,10	; Schleife					
TASTATUR_ABFRAGE_s:
	; Taste "MENUE"gedrckt ?	
	sbis (TASTE_MENUE_PIN),(TASTE_MENUE_PIN_NR)	; springe, wenn BIT(PIN) high	
	SBR temp,(TASTE_MENUE_WERT)
	; Taste "OK"gedrckt ?	
	sbis (TASTE_OK_PIN),(TASTE_OK_PIN_NR)		; springe, wenn BIT(PIN) high	
	SBR temp,(TASTE_OK_WERT)
	; Taste "TIME"gedrckt ?	
	sbis (TASTE_TIME_PIN),(TASTE_TIME_PIN_NR)	; springe, wenn BIT(PIN) high	
	SBR temp,(TASTE_TIME_WERT)
	; Reset ?					
	cpi temp,(TASTE_MENUE_WERT)+(TASTE_TIME_WERT)
	breq TASTATUR_ABFRAGE_RESET
	; Schleife					
	tst temp
	brne TASTATUR_ABFRAGE_OK
	call WAIT_1ms
	dec temp9
	brne TASTATUR_ABFRAGE_s
	STS(adr_TASTE),temp				; save
	pop temp9
	ret
;-------------------------------------------------------------------------------
TASTATUR_ABFRAGE_RESET:
	call LCD_VOLL
	call MOTOR_BEEP_LANG
TASTATUR_ABFRAGE_RESET_s:
	rjmp TASTATUR_ABFRAGE_RESET_s
;-------------------------------------------------------------------------------
TASTATUR_ABFRAGE_OK:
	STS(adr_TASTE),temp				; save
	pop temp9
	call LCD_CLEAR
	call SLEEP_REFRESH
	LDS temp,(adr_TASTE)
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
