;-------------------------------------------------------------------------------
;                                                                               
;                   a                                                           
;              f(h)(i)(j)b                                                      
;                 g1 g2                                                         
;              e(m)(l)(k)c                                                      
;                   d                                                           
;                                                                               
;-------------------------------------------------------------------------------
; Zeichen / Zahlen																
.equ LCD_0	=0b00111111 ; 0
.equ LCD_1	=0b00000110 ; 1
.equ LCD_2	=0b11011011 ; 2
.equ LCD_3	=0b11001111 ; 3
.equ LCD_4	=0b11100110 ; 4
.equ LCD_5	=0b11101101 ; 5
.equ LCD_6	=0b11111101 ; 6
.equ LCD_7	=0b00000111 ; 7
.equ LCD_8	=0b11111111 ; 8
.equ LCD_9	=0b11101111 ; 9

.equ LCD_A	=0b11110111 ; A
.equ LCD_B	=0b11111100 ; b
.equ LCD_C	=0b00111001 ; C
.equ LCD_D	=0b11011110 ; d
.equ LCD_E	=0b11111001 ; E
.equ LCD_F	=0b11110001 ; F

.equ LCD_H	=0b11110110 ; H
.equ LCD_H_	=0b11110100 ; h
.equ LCD_I	=0b00000100 ; i

.equ LCD_KL	=0b00110000 ; K
.equ LCD_KH	=0b00000110 ; K

.equ LCD_L	=0b00111000 ; L
.equ LCD_M	=0b11010100 ; m
.equ LCD_N	=0b11010100 ; N

.equ LCD_O	=0b00111111 ; O
.equ LCD_O_	=0b11011100 ; o (klein)
.equ LCD_P	=0b11110011 ; P
.equ LCD_R	=0b11010000 ; r
.equ LCD_S	=0b11101101 ; S
.equ LCD_T	=0b01111000 ; t
.equ LCD_U	=0b00111110 ; U
.equ LCD_U_ =0b00011100 ; u(klein)

.equ LCD_WL =0b00010100 ; W
.equ LCD_WH =0b00010100 ; W

.equ LCD_Y	=0b01101110 ; Y

.equ LCD_		=0b00000000 ; SPACE
.equ LCD_GRD	=0b11100011 ; 
.equ LCD_MINUS	=0b11000000 ; -
.equ LCD_PROZENT =0b11100011 ; %
.equ LCD_PROZENT1=0b11011100 ; %
;-------------------------------------------------------------------------------
; extras																		
.equ MO_DDR	=LCDDR16	; 16,0
.equ MO		=1	
.equ DI_DDR	=LCDDR16	; 16,1
.equ DI		=2	
.equ MI_DDR	=LCDDR16	; 16,2
.equ MI		=4	
.equ DO_DDR	=LCDDR16	; 16,3
.equ DO		=8	
.equ FR_DDR	=LCDDR16	; 16,4
.equ FR		=16	
.equ SA_DDR	=LCDDR16	; 16,5
.equ SA		=32	
.equ SO_DDR	=LCDDR11	; 11,7
.equ SO		=128	

.equ BAR24_DDR	=LCDDR0	 	; Bargraph		
.equ BAR24		=1			; 0;0
.equ SAVE_DDR	=LCDDR17	; SAVE			
.equ SAVE		=128		; 17,7
.equ BATT_DDR	=LCDDR12	; BATT			
.equ BATT		=128		; 12,7

.equ AUTO_DDR	=LCDDR10; AUTO			
.equ AUTO		=1		; 10,0
.equ MANU_DDR	=LCDDR15; MANU			
.equ MANU		=1		; 15,0
.equ URLAUB_DDR	=LCDDR5	; URLAUB		
.equ URLAUB		=1		; 5,0
.equ ANTENNE_DDR=LCDDR2	; ANTENNE		
.equ ANTENNE	=128	; 2,7
.equ INDOOR_DDR	=LCDDR3	; INDOOR		
.equ INDOOR		=1		; 3,0
.equ OUTDOOR_DDR=LCDDR8	; OUTDOOR		
.equ OUTDOOR	=1		; 8,0
.equ MOND_DDR	=LCDDR13; MOND			
.equ MOND		=1		; 13,0
.equ FROST_DDR	=LCDDR18; FROST			
.equ FROST		=1		; 18,0

.equ PUNKT1_DDR	=LCDDR7 ; Punkt unten	
.equ PUNKT1		=128	; 7,7
.equ PUNKT2_DDR	=LCDDR16; Punkt mitte	
.equ PUNKT2		=128	; 16,7
;-------------------------------------------------------------------------------
;-------------------------------------------------------------------------------
;-------------------------------------------------------------------------------
; Bargraph																		
.equ BAR_DDR_0	=LCDDR11
.equ BAR_0		=1		; 11,0
.equ BAR_BIT_0	=0
.equ BAR_DDR_1	=LCDDR6
.equ BAR_1		=1		; 6,0
.equ BAR_BIT_1	=0
.equ BAR_DDR_2	=LCDDR1
.equ BAR_2		=1		; 1,0
.equ BAR_BIT_2	=0
.equ BAR_DDR_3	=LCDDR1
.equ BAR_3		=2		; 1,1
.equ BAR_BIT_3	=1
.equ BAR_DDR_4	=LCDDR6
.equ BAR_4		=2		; 6,1
.equ BAR_BIT_4	=1
.equ BAR_DDR_5	=LCDDR11
.equ BAR_5		=2		; 11,1
.equ BAR_BIT_5	=1
.equ BAR_DDR_6	=LCDDR11	
.equ BAR_6		=4		; 11,2
.equ BAR_BIT_6	=2
.equ BAR_DDR_7	=LCDDR6
.equ BAR_7		=4		; 6,2
.equ BAR_BIT_7	=2
.equ BAR_DDR_8	=LCDDR1
.equ BAR_8		=4		; 1,2
.equ BAR_BIT_8	=2
.equ BAR_DDR_9	=LCDDR1
.equ BAR_9		=8		; 1,3
.equ BAR_BIT_9	=3
.equ BAR_DDR_10	=LCDDR6
.equ BAR_10		=8		; 6,3
.equ BAR_BIT_10	=3
.equ BAR_DDR_11	=LCDDR11
.equ BAR_11		=8		; 11,3
.equ BAR_BIT_11	=3
.equ BAR_DDR_12	=LCDDR11
.equ BAR_12		=16		; 11,4
.equ BAR_BIT_12	=4
.equ BAR_DDR_13	=LCDDR6
.equ BAR_13		=16		; 6,4
.equ BAR_BIT_13	=4
.equ BAR_DDR_14	=LCDDR1
.equ BAR_14		=16		; 1,4
.equ BAR_BIT_14	=4
.equ BAR_DDR_15	=LCDDR1
.equ BAR_15		=32		; 1,5
.equ BAR_BIT_15	=5
.equ BAR_DDR_16	=LCDDR6
.equ BAR_16		=32		; 6,5
.equ BAR_BIT_16	=5
.equ BAR_DDR_17	=LCDDR11
.equ BAR_17		=32		; 11,5
.equ BAR_BIT_17	=5
.equ BAR_DDR_18	=LCDDR16
.equ BAR_18		=64		; 16,6
.equ BAR_BIT_18	=6
.equ BAR_DDR_19	=LCDDR11
.equ BAR_19		=64		; 11,6
.equ BAR_BIT_19	=6
.equ BAR_DDR_20	=LCDDR6
.equ BAR_20		=64		; 6,6
.equ BAR_BIT_20	=6
.equ BAR_DDR_21	=LCDDR1
.equ BAR_21		=64		; 1,6
.equ BAR_BIT_21	=6
.equ BAR_DDR_22	=LCDDR1
.equ BAR_22		=128	; 1,7
.equ BAR_BIT_22	=7
.equ BAR_DDR_23	=LCDDR6
.equ BAR_23		=128	; 6,7
.equ BAR_BIT_23	=7
;-------------------------------------------------------------------------------
;-------------------------------------------------------------------------------
;-------------------------------------------------------------------------------
; DIGIT-0 (rechts)																
.equ DIG_DDR_0A	=LCDDR17
.equ DIG_0A	= 16		; 17,4
.equ DIG_DDR_0B	=LCDDR17
.equ DIG_0B	= 64		; 17,6
.equ DIG_DDR_0C	=LCDDR2
.equ DIG_0C	= 64		; 2,6
.equ DIG_DDR_0D	=LCDDR2
.equ DIG_0D	= 32		; 2,5
.equ DIG_DDR_0E	=LCDDR2
.equ DIG_0E	=8  		; 2,3
.equ DIG_DDR_0F	=LCDDR12
.equ DIG_0F	=8			; 12,3
.equ DIG_DDR_0G	=LCDDR7
.equ DIG_0G	= 16		; 7,4
.equ DIG_DDR_0G1=LCDDR12
.equ DIG_0G1= 64		; 12,6

.equ DIG_DDR_0H=LCDDR12
.equ DIG_0H= 32		; 12,5
.equ DIG_DDR_0I=LCDDR17
.equ DIG_0I= 32		; 17,5
.equ DIG_DDR_0J=LCDDR7
.equ DIG_0J= 64		; 7,6
.equ DIG_DDR_0K=LCDDR7
.equ DIG_0K= 32		; 7,5
.equ DIG_DDR_0L=LCDDR2
.equ DIG_0L= 16		; 2,4
.equ DIG_DDR_0M=LCDDR12
.equ DIG_0M= 16		; 12,4



;-------------------------------------------------------------------------------
; DIGIT-1 																		
.equ DIG_DDR_1A	=LCDDR17
.equ DIG_1A	= 2			; 17,1
.equ DIG_DDR_1B	=LCDDR17
.equ DIG_1B	= 8			; 17,3 ???
.equ DIG_DDR_1C	=LCDDR7
.equ DIG_1C	= 8			; 7,3
.equ DIG_DDR_1D	=LCDDR2
.equ DIG_1D	= 4			; 2,2
.equ DIG_DDR_1E	=LCDDR2
.equ DIG_1E	= 1			; 2,0
.equ DIG_DDR_1F	=LCDDR17
.equ DIG_1F	= 1			; 17,0
.equ DIG_DDR_1G	=LCDDR7
.equ DIG_1G	= 1			; 7,0
.equ DIG_DDR_1G1=LCDDR12
.equ DIG_1G1= 4			; 12,2

.equ DIG_DDR_1H=LCDDR12
.equ DIG_1H= 2			; 12,1
.equ DIG_DDR_1I=LCDDR17
.equ DIG_1I= 4			; 17,2
.equ DIG_DDR_1J=LCDDR7
.equ DIG_1J= 4			; 7,2
.equ DIG_DDR_1K=LCDDR7
.equ DIG_1K= 2			; 7,1
.equ DIG_DDR_1L=LCDDR2
.equ DIG_1L= 2			; 2,1
.equ DIG_DDR_1M=LCDDR12
.equ DIG_1M= 1			; 12,0

;-------------------------------------------------------------------------------
; DIGIT-2 																		
.equ DIG_DDR_2A	=LCDDR15
.equ DIG_2A	= 8			; 15,3
.equ DIG_DDR_2B	=LCDDR15
.equ DIG_2B	= 2			; 15,1 ????
.equ DIG_DDR_2C	=LCDDR0
.equ DIG_2C	= 2			; 0,1
.equ DIG_DDR_2D	=LCDDR0
.equ DIG_2D	= 4			; 0,2
.equ DIG_DDR_2E	=LCDDR0
.equ DIG_2E	=16			; 0,4
.equ DIG_DDR_2F	=LCDDR10
.equ DIG_2F	=16			; 10,4
.equ DIG_DDR_2G	=LCDDR5
.equ DIG_2G	= 8			; 5,3
.equ DIG_DDR_2G1=LCDDR10
.equ DIG_2G1= 2			; 10,1

.equ DIG_DDR_2H=LCDDR10
.equ DIG_2H= 4			; 10,2
.equ DIG_DDR_2I=LCDDR15
.equ DIG_2I= 4			; 15,2
.equ DIG_DDR_2J=LCDDR5
.equ DIG_2J= 2			; 5,1
.equ DIG_DDR_2K=LCDDR5
.equ DIG_2K= 4			; 5,2
.equ DIG_DDR_2L=LCDDR0
.equ DIG_2L= 8			; 0,3
.equ DIG_DDR_2M=LCDDR10
.equ DIG_2M= 8			; 10,3

;-------------------------------------------------------------------------------
; DIGIT-3 																		
.equ DIG_DDR_3A	=LCDDR15
.equ DIG_3A	= 64		; 15,6
.equ DIG_DDR_3B	=LCDDR15
.equ DIG_3B	= 16		; 15,4
.equ DIG_DDR_3C	=LCDDR5
.equ DIG_3C	= 16		; 5,4
.equ DIG_DDR_3D	=LCDDR0
.equ DIG_3D	= 32		; 0,5
.equ DIG_DDR_3E	=LCDDR0
.equ DIG_3E	= 128		; 0,7
.equ DIG_DDR_3F	=LCDDR15
.equ DIG_3F	= 128		; 15,7
.equ DIG_DDR_3G	=LCDDR5
.equ DIG_3G	= 128		; 5,7
.equ DIG_DDR_3G1=LCDDR10
.equ DIG_3G1= 32		; 10,5

.equ DIG_DDR_3H=LCDDR10
.equ DIG_3H= 64			; 10,6
.equ DIG_DDR_3I=LCDDR15
.equ DIG_3I= 32			; 15,5
.equ DIG_DDR_3J=LCDDR5
.equ DIG_3J= 32			; 5,5
.equ DIG_DDR_3K=LCDDR5
.equ DIG_3K= 64			; 5,6
.equ DIG_DDR_3L=LCDDR0
.equ DIG_3L= 64			; 0,6
.equ DIG_DDR_3M=LCDDR10
.equ DIG_3M= 128		; 10,7


;-------------------------------------------------------------------------------
