; ##############################################################################
; ##############################################################################
; ##############################################################################
STARTWERTE:
	; NULL				
	clr NULL
	; EINS				
	ldi temp,1
	mov EINS,temp
	; VOLL				
	ldi temp,255
	mov VOLL,temp
	; SRAM CHECK		
	ldi temp,'S'
	STS(adr_SRAM_CHECK),temp
	; WOCHENTAG	(1=Mo)				
	ldi temp,5
	STS(adr_WOCHENTAG),temp
	; ZEIT							
	ldi temp,(19)
	STS(adr_hh),temp
	ldi temp,(59)
	STS(adr_mm),temp
	ldi temp,(00)
	STS(adr_ss),temp
	; EEPROM_WERKSEINSTELLUNG		
	ldi temp,(EEPROM_WERKSEINSTELLUNG)
	STS(adr_WERKSEINSTELLUNG),temp
;-------------------------------------------------------------------------------
	; MOTOR-Position-ende			
	ldi temp1,LOW (MOTOR_POSITION_ENDE)
	ldi temp2,HIGH(MOTOR_POSITION_ENDE)
	STS(adr_MOTOR_POSITION_ENDE_L),temp1
	STS(adr_MOTOR_POSITION_ENDE_H),temp2
	; Motor-Position Ventil zu		
	ldi temp1,LOW (VENTIL_ZU)
	ldi temp2,HIGH(VENTIL_ZU)
	STS(adr_VENTIL_ZU_L),temp1
	STS(adr_VENTIL_ZU_H),temp2
	; Motor-Position Ventil auf		
	ldi temp1,LOW (VENTIL_AUF)
	ldi temp2,HIGH(VENTIL_AUF)
	STS(adr_VENTIL_AUF_L),temp1
	STS(adr_VENTIL_AUF_H),temp2
;-------------------------------------------------------------------------------
	; HZG_FAKTOR					
	ldi temp,(HZG_FAKTOR)
	STS(adr_HZG_FAKTOR),temp
;-------------------------------------------------------------------------------	
	; TEMPERATUR OFFSET				
	ldi temp,(0)
	STS(adr_TEMPERATUR_IST_OFFSET),temp
	; TEMPERATUR System-OFFSET		
	ldi temp1,LOW (263)
	ldi temp2,HIGH(263)
	STS(adr_TEMPERATUR_IST_SYSOFFS_L),temp1
	STS(adr_TEMPERATUR_IST_SYSOFFS_H),temp2
	; TEMPERATUR_System-STEIGUNG	
	ldi temp1,LOW (120)
	ldi temp2,HIGH(120)
	STS(adr_TEMPERATUR_IST_SYSSTEIGUNG_L),temp1
	STS(adr_TEMPERATUR_IST_SYSSTEIGUNG_H),temp2
;-------------------------------------------------------------------------------
	; Temperatur SOLL
	ldi temp1,LOW (100)
	ldi temp2,HIGH(100)
	STS(adr_TEMPERATUR_SOLL_L),temp1
	STS(adr_TEMPERATUR_SOLL_H),temp2
	; Temperatur TAG	
	ldi temp1,LOW (200)	; 20C	
	ldi temp2,HIGH(200)
	STS(adr_TEMPERATUR_TAG_L),temp1
	STS(adr_TEMPERATUR_TAG_H),temp2
	; Temperatur NACHT	
	ldi temp1,LOW (50)	; 5C	
	ldi temp2,HIGH(50)
	STS(adr_TEMPERATUR_NACHT_L),temp1
	STS(adr_TEMPERATUR_NACHT_H),temp2
	; alle Schaltpunkte aus
	STS(adr_MOMENTAN_ON1) ,VOLL
	STS(adr_MOMENTAN_ON2) ,VOLL
	STS(adr_MOMENTAN_ON3) ,VOLL
	STS(adr_MOMENTAN_OFF1),VOLL
	STS(adr_MOMENTAN_OFF2),VOLL
	STS(adr_MOMENTAN_OFF3),VOLL
;-------------------------------------------------------------------------------
	; Heizzeiten-TAG1-5	
	ldi temp,(6*5)
	STS(adr_TAG1_ON1),temp
	STS(adr_TAG2_ON1),temp
	STS(adr_TAG3_ON1),temp
	STS(adr_TAG4_ON1),temp
	STS(adr_TAG5_ON1),temp
	ldi temp,(6*7)
	STS(adr_TAG1_OFF1),temp
	STS(adr_TAG2_OFF1),temp
	STS(adr_TAG3_OFF1),temp
	STS(adr_TAG4_OFF1),temp
	STS(adr_TAG5_OFF1),temp
	ldi temp,(6*12)
	STS(adr_TAG1_ON2),temp
	STS(adr_TAG2_ON2),temp
	STS(adr_TAG3_ON2),temp
	STS(adr_TAG4_ON2),temp
	STS(adr_TAG5_ON2),temp
	ldi temp,(6*15)
	STS(adr_TAG1_OFF2),temp
	STS(adr_TAG2_OFF2),temp
	STS(adr_TAG3_OFF2),temp
	STS(adr_TAG4_OFF2),temp
	STS(adr_TAG5_OFF2),temp
	ldi temp,(6*18)
	STS(adr_TAG1_ON3),temp
	STS(adr_TAG2_ON3),temp
	STS(adr_TAG3_ON3),temp
	STS(adr_TAG4_ON3),temp
	STS(adr_TAG5_ON3),temp
	ldi temp,(6*23)
	STS(adr_TAG1_OFF3),temp
	STS(adr_TAG2_OFF3),temp
	STS(adr_TAG3_OFF3),temp
	STS(adr_TAG4_OFF3),temp
	STS(adr_TAG5_OFF3),temp
	; Heizzeiten-TAG6-7	
	ldi temp,(6*8)
	STS(adr_TAG6_ON1),temp
	STS(adr_TAG7_ON1),temp
	ldi temp,(6*10)
	STS(adr_TAG6_OFF1),temp
	STS(adr_TAG7_OFF1),temp
	ldi temp,(6*12)
	STS(adr_TAG6_ON2),temp
	STS(adr_TAG7_ON2),temp
	ldi temp,(6*13)
	STS(adr_TAG6_OFF2),temp
	STS(adr_TAG7_OFF2),temp
	ldi temp,(6*17)
	STS(adr_TAG6_ON3),temp
	STS(adr_TAG7_ON3),temp
	ldi temp,(6*22)
	STS(adr_TAG6_OFF3),temp
	STS(adr_TAG7_OFF3),temp
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
;WDP2 WDP1 WDP0 Number of WDT Oscillator Cycles 
; 0 0 0 	16Kcycles 15.4ms 14.7ms				
; 0 0 1 	32Kcycles 30.8ms 29.3ms				
; 0 1 0 	64Kcycles 61.6ms 58.7ms				
; 0 1 1 	128Kcycles 0.12s 0.12s				
; 1 0 0 	256Kcycles 0.25s 0.23s				
; 1 0 1 	512Kcycles 0.49s 0.47s				
; 1 1 0 	1,024Kcycles 1.0s 0.9s				
;*1 1 1 	2,048Kcycles 2.0s 1.9				
WDR_INITIALISIERUNG:
	ldi temp, (1<<WDCE)|(1<<WDE)|(1<<WDP2)|(1<<WDP1)|(1<<WDP0)
	STS(WDTCR),temp

	ldi temp, (0<<WDCE)|(1<<WDE)|(1<<WDP2)|(1<<WDP1)|(1<<WDP0)
	STS(WDTCR),temp
	ldi temp,0
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; MCUSR JTRF WDRF BORF EXTRF PORF 
NEUSTART_MIT_WDR:
	in temp,MCUSR
	andi temp,(1<<JTRF)|(0<<WDRF)|(1<<BORF)|(1<<EXTRF)|(1<<PORF)
	tst temp
	brne NEUSTART_MIT_WDR_w
ret
;-------------------------------------------------------------------------------
NEUSTART_MIT_WDR_w:
	ldi temp,0
	OUT MCUSR,temp
	clr temp1
NEUSTART_MIT_WDR_s:
	call BARGRAPH_BAND_TEMP1
	inc temp1
	call WAIT_50ms	; ohne WDR !
	call WAIT_50ms	; ohne WDR !
	rjmp NEUSTART_MIT_WDR_s
; ##############################################################################
; ##############################################################################
; ##############################################################################
SRAM_CLEAR:
	ldi ZL, LOW (SRAM_START)
	ldi ZH, HIGH(SRAM_START)
	ldi temp,0
SRAM_CLEAR_w:
	ST z+,temp
	cpi ZH, HIGH(RAMEND-1)	; Vergleich?		
	brlo SRAM_CLEAR_w		; kleiner => SPRUNG	
	cpi ZL, LOW(RAMEND-1)	; Vergleich?		
	brlo SRAM_CLEAR_w		; kleiner => SPRUNG	
	breq SRAM_CLEAR_w		; gleich  => SPRUNG	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
PORT_CLEAR:
	clr temp
	out DDRB, temp
	out DDRC, temp
	out DDRD, temp
	out DDRE, temp
	out DDRF, temp

	out PORTB,temp				
	out PORTC,temp				
	out PORTD,temp	
	out PORTE,temp	
	out PORTF,temp	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
REGISTER_CLEAR:
	clr R0
	clr R1
	clr R2
	clr R3
	clr R4
	clr R5
	clr R6
	clr R7
	clr R8
	clr R9
	clr R10
	clr R11
	clr R12
	clr R13
	clr R14
	clr R15
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
PROGRAMM_CHECK:
	; NULL		
	tst NULL
	brne PROGRAMM_CHECK_FEHLER
	; EINS		
	mov temp,EINS
	cpi temp,1
	brne PROGRAMM_CHECK_FEHLER
	; VOLL		
	mov temp,VOLL
	cpi temp,255
	brne PROGRAMM_CHECK_FEHLER
	; SRAM CHECK
	LDS temp,(adr_SRAM_CHECK)
	cpi temp,'S'
	brne PROGRAMM_CHECK_FEHLER
	ret
;-------------------------------------------------------------------------------
; SCHLEIFE																		
PROGRAMM_CHECK_FEHLER:
	ldi temp1,(ERROR_PROGRAMM)
	jmp ANZEIGE_ERROR_SCHWER_TEMP1
; ##############################################################################
; ##############################################################################
; ##############################################################################
PROGRAMM_STOP:
	WDR
rjmp PROGRAMM_STOP
; ##############################################################################
; ##############################################################################
; ##############################################################################
; SM2 SM1 SM0 Sleep Mode														
; 0 0 0 Idle																	
; 0 0 1 ADC noise reduction														
; 0 1 0 Power-down																
; 0 1 1 Power-save																
; 1 1 0 Standby(1)																
SLEEP_INITIALISIEREN:
	ldi temp, (0<<SM2)|(1<<SM1)|(1<<SM0)|(1<<SE)	; Power-save
	OUT(SMCR),temp
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
SLEEP_REFRESH:
	ldi temp,(TIMERWERT_SLEEP)			; SleepTimerwert				
	STS(adr_TIMER_SLEEP),temp
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Bit 4 - PRLCD: Power Reduction LCD											
; Bit 3 - PRTIM1: Power Reduction Timer/Counter1								
; Bit 2 - PRSPI: Power Reduction Serial Peripheral Interface					
; Bit 1 - PRUSART0: Power Reduction USART0										
; Bit 0 - PRADC: Power Reduction ADC											
POWER_REDUCTION:
	ldi temp, (1<<PRLCD)|(1<<PRTIM1)|(1<<PRSPI)|(1<<PRUSART0)|(1<<PRADC)	
	STS(PRR),temp
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
POWER_REDUCTION_OFF:
	ldi temp, (0<<PRLCD)|(0<<PRTIM1)|(0<<PRSPI)|(0<<PRUSART0)|(0<<PRADC)	
	STS(PRR),temp
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
DREHGEBER_INITIALISIEREN:
	cbi (DREH_A_DDR),(DREH_A_PIN_NR)	; auf EINGANG		
	cbi (DREH_B_DDR),(DREH_B_PIN_NR)
	sbi (DREH_A_PORT),(DREH_A_PIN_NR)	; PULL-UP EIN !		
	sbi (DREH_B_PORT),(DREH_B_PIN_NR)
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
DREHGEBER_OFF:
	cbi (DREH_A_DDR),(DREH_A_PIN_NR)	; auf EINGANG		
	cbi (DREH_B_DDR),(DREH_B_PIN_NR)
	cbi (DREH_A_PORT),(DREH_A_PIN_NR)	; PULL-UP aus !		
	cbi (DREH_B_PORT),(DREH_B_PIN_NR)
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
DREHGEBER_TEMP1_2:
	LDS temp,(adr_DREHGEBER_WERT)
	STS(adr_DREHGEBER_WERT),NULL
	cpi temp,0
	brne PC+2
	ret
;-------------------------------------------------------------------------------
	cpi temp,1
	breq DREHGEBER_PLUS
	sub temp1,EINS
	sbc temp2,NULL
	ret
DREHGEBER_PLUS:
	add temp1,EINS
	adc temp2,NULL
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; fr Temperatueinstellung in0,5 Grd schritten									
DREHGEBER_STEP5_TEMP1_2:
	LDS temp,(adr_DREHGEBER_WERT)
	STS(adr_DREHGEBER_WERT),NULL
	cpi temp,0
	brne PC+2
	ret
;-------------------------------------------------------------------------------
	cpi temp,1
	breq DREHGEBER_S5_PLUS
	ldi temp,5
	sub temp1,temp	; Minus 5	
	sbc temp2,NULL
	tst temp2
	brmi PC+2		; berlauf ?
	ret
	clr temp1
	clr temp2
	ret
;-------------------------------------------------------------------------------
DREHGEBER_S5_PLUS:
	ldi temp,5
	add temp1,temp	; +5		
	adc temp2,NULL

	cpi temp2,HIGH(TEMPERATUR_MAX)
	breq DREHGEBER_S5_PLUS_w
	brsh DREHGEBER_S5_PLUS_ERROR
	brlo DREHGEBER_S5_PLUS_OK
DREHGEBER_S5_PLUS_w:
	cpi temp1,LOW(TEMPERATUR_MAX)
	breq DREHGEBER_S5_PLUS_OK
	brsh DREHGEBER_S5_PLUS_ERROR
	brlo DREHGEBER_S5_PLUS_OK
DREHGEBER_S5_PLUS_OK:
	ret
DREHGEBER_S5_PLUS_ERROR:
	ldi temp1,LOW (300)
	ldi temp2,HIGH(300)
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
LED_INITIALISIERUNG:
	sbi (LED_DDR) ,(LED_PIN_NR)	; auf Ausgang	
	sbi (LED_PORT),(LED_PIN_NR)	; PIN HIGH		
	call WAIT_100ms
	cbi (LED_PORT),(LED_PIN_NR)	; PIN LOW		
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
LED_TOOGELN:
	sbis (LED_PIN) ,(LED_PIN_NR); Skip if Bit in I/O Register is Set	
	rjmp LED_TOOGELN_OFF
	cbi (LED_PORT),(LED_PIN_NR)	; LED on 	
	ret
LED_TOOGELN_OFF:
	sbi (LED_PORT),(LED_PIN_NR)	; LED off 	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Version: 14.11.2014																	
;																						
; 	INPUT:	TEMP1 / TEMP2 	1.Faktor													
;			TEMP3 / TEMP4	2.Faktor													
; 																						
; 	OUTPUT: TEMP1...4	Produkt															
; 																						
;	HILFSREGISTER: 	R0,R1,R2 (werden nicht gesichert !	)								
; 					temp5+6+7+8															
FUNKTION_MULTIPLIKATION_16_16_32:
	clr	temp
	mul	temp4,temp2		; ah * bh
	mov	temp7,r0
	mov	temp8,r1
	mul	temp3,temp1		; al * bl
	mov	temp5,r0
	mov	temp6,r1
	mul	temp4,temp1		; ah * bl
	add	temp6,r0
	adc	temp7,r1
	adc	temp8,temp
	mul	temp2,temp3		; bh * al
	add	temp6,r0
	adc	temp7,r1
	adc	temp8,temp
	mov temp1,temp5
	mov temp2,temp6
	mov temp3,temp7
	mov temp4,temp8
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Version: 11/2014																
;																				
;	Division 32 bit-Zahl durch 16 bit Zahl										
;																				
;	input/Output 	temp1 (LOW)	(0...4.294.967.295)								
;	input/Output 	temp2														
;	input/Output 	temp3														
;	input/Output 	temp4 (HIGH)												
;																				
;	input	temp5	Divisor	(LOW)	 											
;	input	temp6	Divisor	(HIGH)	 											
;																				
;	 		temp	Hilfsregister 												
;																				
FUNKTION_DIVISION_32_16:
	; Fehlerprfung		
	tst temp5
	brne FUNKTION_DIVISION_32_16_RUN
	tst temp6
	brne FUNKTION_DIVISION_32_16_RUN
	; Fehler NULL		
	clr temp1
	clr temp2
	clr temp3
	clr temp4
	ret	
;-------------------------------------------------------------------------------
FUNKTION_DIVISION_32_16_RUN:
	push R0
	push R1
	push temp
	; RUNDEN halben Divisor dazuaddieren
	mov R0,temp5		; KOPIE			
	mov R1,temp6
	LSR R1				; durch 2		
	ROR R0
	add temp1,R0		; addieren		
	adc temp2,R1
	adc temp3,NULL
	adc temp4,NULL
;-------------------------------------------------------------------------------
	ldi     temp,32    ;32* schieben	
    clr     R0          ;Rest =0		
    clr     R1
FUNKTION_DIVISION_32_16_1:    
	lsl     temp1       ;Ein Bit aus dem Dividend ...   
    rol     temp2       ;ins Carry schieben
    rol     temp3
    rol     temp4
    rol     R0          ;Carry in den Rest schieben
    rol     R1
    brcs    FUNKTION_DIVISION_32_16_3       ;Bei berlauf von Rest, Sprung
    cp      R0,temp5       					;Solange Bits in temp1 (Rest) schieben bis >= divisor
    cpc     R1,temp6
    brcs    FUNKTION_DIVISION_32_16_2    	;Bei Rest<Divisor, die eingeschobene 0 in temp1 stehen lassen
FUNKTION_DIVISION_32_16_3:
    inc     temp1       ;Ansonsten Bit0 setzen und den Divisor vom Rest abziehen
    sub     R0,temp5
    sbc     R1,temp6
FUNKTION_DIVISION_32_16_2:
   	dec     temp       ;Das ganze 32 mal
    brne    FUNKTION_DIVISION_32_16_1
	pop temp
	pop R1
	pop R0	
ret 
; ##############################################################################
; ##############################################################################
; ##############################################################################
; inp: 	temp1 (0...143)															
; out: 	temp1 (hh)																
;		temp2 (mm)																
; Bsp:	  0---> 00:00															
;		  1---> 00:10															
;		  2---> 00:20															
;		112---> 18:40															
;       143---> 23:50															
;	  >=144---> 24:00 (Error)													
FUNKTION_ZEIT_DECODIEREN_TEMP1_2:
		cpi temp1,(143+1)
		brlo START
		ldi temp1,(255)		; ERROR
		ldi temp2,(255)
		ret
;-------------------------------------------------------------------------------
START:
		ldi temp4,LOW(-1)	; initalisieren	
		ldi temp,6		 	; Divisor		
SCHLEIFE:
		inc temp4			; +1			
		mul temp4,temp		; Multiplizieren
		cp R0,temp1			; Vergleich		
		breq FERTSCH		; ist gleich	
		brlo SCHLEIFE		; ist kleiner	
		dec temp4			; vorheriger Wert		
		mul temp4,temp		; nochmal Multiplizieren
FERTSCH:
		sub temp1,R0		; minus Ergebnis
		ldi temp,10
		mul temp1,temp		; mal 10		
		mov temp2,R0		; mm			
		mov temp1,temp4		; hh			
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; out: 	temp																	
; Bsp:	  0---> 00:00															
;		  1---> 00:10															
;		  2---> 00:20															
;		112---> 18:40															
;       143---> 23:50															
; (hh*6)+"mm"																	
FUNCTION_ZEIT_CODIEREN_TEMP:
	LDS temp,(adr_mm)	
	clr temp1
	cpi temp,(10)
	brlo PC+2	; wenn gleich/grer dann temp1 laden
	ldi temp1,1
	cpi temp,(20)
	brlo PC+2
	ldi temp1,2
	cpi temp,(30)
	brlo PC+2
	ldi temp1,3
	cpi temp,(40)
	brlo PC+2
	ldi temp1,4
	cpi temp,(50)
	brlo PC+2
	ldi temp1,5

	LDS temp2,(adr_hh)	
	ldi temp,6			; hh*6
	mul temp2,temp
	mov temp,R0
	add temp,temp1		; "mm" adieren
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; inp: 	temp1 255..0...143														
; out: 	temp1 																	
; Bsp:	  0---> 00:00															
;		  1---> 00:10															
;		  2---> 00:20															
;		112---> 18:40															
;       143---> 23:50															
FUNCTION_ZEIT_CHECK_TEMP1:
	cpi temp1,255
	breq FUNCTION_ZEIT_CHECK_OK
	cpi temp1,254
	breq FUNCTION_ZEIT_CHECK_23_50
	cpi temp1,144
	breq FUNCTION_ZEIT_CHECK_00_00
	ret
;-------------------------------------------------------------------------------
FUNCTION_ZEIT_CHECK_00_00:
	clr temp1
	ret
;-------------------------------------------------------------------------------
FUNCTION_ZEIT_CHECK_23_50:
	ldi temp1,143
	ret
;-------------------------------------------------------------------------------
FUNCTION_ZEIT_CHECK_OK:
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
FUNCTION_HEIZZEITEN_LADEN:
	LDS temp,(adr_MODUS_MANU_ON)
	tst temp
	breq FUNCTION_HEIZZEITEN_ACTION
	; Heizzeiten AUS !!			
	STS(adr_MOMENTAN_ON1),VOLL
	STS(adr_MOMENTAN_ON2),VOLL
	STS(adr_MOMENTAN_ON3),VOLL
	STS(adr_MOMENTAN_OFF1),VOLL
	STS(adr_MOMENTAN_OFF2),VOLL
	STS(adr_MOMENTAN_OFF3),VOLL
	ret
;-------------------------------------------------------------------------------
FUNCTION_HEIZZEITEN_ACTION:
	ldi XL,LOW (adr_MOMENTAN_ON1)
	ldi XH,HIGH(adr_MOMENTAN_ON1)
	LDS temp,(adr_WOCHENTAG); 1=MO
	cpi temp,1
	breq FUNCTION_HEIZZEITEN_1
	cpi temp,2
	breq FUNCTION_HEIZZEITEN_2
	cpi temp,3
	breq FUNCTION_HEIZZEITEN_3
	cpi temp,4
	breq FUNCTION_HEIZZEITEN_4
	cpi temp,5
	breq FUNCTION_HEIZZEITEN_5
	cpi temp,6
	breq FUNCTION_HEIZZEITEN_6
	rjmp FUNCTION_HEIZZEITEN_7
;-------------------------------------------------------------------------------
FUNCTION_HEIZZEITEN_1:
	ldi ZL,LOW (adr_TAG1_ON1) 
	ldi ZH,HIGH(adr_TAG1_ON1)
	rjmp FUNCTION_HEIZZEITEN_FERTIG
FUNCTION_HEIZZEITEN_2:
	ldi ZL,LOW (adr_TAG2_ON1) 
	ldi ZH,HIGH(adr_TAG2_ON1)
	rjmp FUNCTION_HEIZZEITEN_FERTIG
FUNCTION_HEIZZEITEN_3:
	ldi ZL,LOW (adr_TAG3_ON1) 
	ldi ZH,HIGH(adr_TAG3_ON1)
	rjmp FUNCTION_HEIZZEITEN_FERTIG
FUNCTION_HEIZZEITEN_4:
	ldi ZL,LOW (adr_TAG4_ON1) 
	ldi ZH,HIGH(adr_TAG4_ON1)
	rjmp FUNCTION_HEIZZEITEN_FERTIG
FUNCTION_HEIZZEITEN_5:
	ldi ZL,LOW (adr_TAG5_ON1) 
	ldi ZH,HIGH(adr_TAG5_ON1)
	rjmp FUNCTION_HEIZZEITEN_FERTIG
FUNCTION_HEIZZEITEN_6:
	ldi ZL,LOW (adr_TAG6_ON1) 
	ldi ZH,HIGH(adr_TAG6_ON1)
	rjmp FUNCTION_HEIZZEITEN_FERTIG
FUNCTION_HEIZZEITEN_7:
	ldi ZL,LOW (adr_TAG7_ON1) 
	ldi ZH,HIGH(adr_TAG7_ON1)
FUNCTION_HEIZZEITEN_FERTIG:
	LD temp,Z+
	ST X+,temp
	LD temp,Z+
	ST X+,temp
	LD temp,Z+
	ST X+,temp
	LD temp,Z+
	ST X+,temp
	LD temp,Z+
	ST X+,temp
	LD temp,Z+
	ST X+,temp
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; Messwerte der letzten 60 Min speichern										
FUNCTION_HISTORIE_WRITE:
	ldi temp9,59
	ldi ZL,LOW (adr_HISTORIE_L+(2*58))
	ldi ZH,HIGH(adr_HISTORIE_H+(2*58))
FUNCTION_HISTORIE_WRITE_s:
	LD temp1,Z+	
	LD temp2,Z+	
	ST Z+,temp1
	ST Z+,temp2
	sbiw ZL,6
	dec temp9
 	brne FUNCTION_HISTORIE_WRITE_s
;-------------------------------------------------------------------------------
	LDS temp1,(adr_TEMPERATUR_IST_L)
	LDS temp2,(adr_TEMPERATUR_IST_H)
	STS(adr_HISTORIE_L),temp1
	STS(adr_HISTORIE_H),temp2
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################

